Bug 42200 - [patch] make ports/ftp GNOMENG aware
Summary: [patch] make ports/ftp GNOMENG aware
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Mario Sergio Fujikawa Ferreira
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-08-30 12:40 UTC by edwin
Modified: 2002-09-19 22:37 UTC (History)
0 users

See Also:


Attachments
file.diff (1.88 KB, patch)
2002-08-30 12:40 UTC, edwin
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description edwin 2002-08-30 12:40:01 UTC
    make ports/ftp GNOMENG aware

Fix: ftp/IglooFTP
    ftp/axyftp
    ftp/downloader
    ftp/gftp
    ftp/pavuk
How-To-Repeat: 
    n/a
Comment 1 Mario Sergio Fujikawa Ferreira freebsd_committer 2002-08-30 14:46:53 UTC
State Changed
From-To: open->feedback

Could you review with the author the gftp patch? 


Comment 2 Mario Sergio Fujikawa Ferreira freebsd_committer 2002-08-30 14:46:53 UTC
Responsible Changed
From-To: freebsd-ports->lioux

I'll handle this
Comment 3 edwin 2002-09-02 05:50:03 UTC
Regarding ftp/gftp:

After a short email-discussion with Oliver:

    hmm can you change it to "-gtk"? or is gtk more standard? (i
    think, "-gtk" looks better and e.g. mplayer uses also "-esound"
    ;)" And, can you mail your 2nd patch to the PR database as a
    reply to your 42200?  Then i will approve ;)


--- Makefile.old        Mon Sep  2 09:47:27 2002
+++ Makefile    Mon Sep  2 09:49:00 2002
@@ -14,7 +14,7 @@  
 MAINTAINER=	lehmann@ans-netz.de

 USE_X_PREFIX=	yes
-USE_GTK=	yes
+USE_GNOMENG=	yes
 WANT_GNOME=	yes
 GNU_CONFIGURE=	yes
 CONFIGURE_ENV=CPPFLAGS="-I${LOCALBASE}/include" \
@@ -24,8 +24,9 @@

 .include <bsd.port.pre.mk>

-.if defined(HAVE_GNOME)
-USE_GNOME=	yes
+.if ${HAVE_GNOME:Mgtk12}!=""
+USE_GNOME+=	gtk12
+PKGNAMESUFFIX=	-gtk
 .endif

 pre-patch:


-- 
Edwin Groothuis      |            Personal website: http://www.MavEtJu.org
edwin@mavetju.org    |    Weblog: http://www.mavetju.org/weblog/weblog.php 
bash$ :(){ :|:&};:   | Interested in MUDs? http://www.FatalDimensions.org/
Comment 4 Mario Sergio Fujikawa Ferreira freebsd_committer 2002-09-19 22:37:50 UTC
State Changed
From-To: feedback->closed

Committed, thanks!